DescriptorProtos.EnumDescriptorProto.Builder
Date: 2017-07-08

com.google.protobuf

## Class DescriptorProtos.EnumDescriptorProto.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>
      - - com.google.protobuf.DescriptorProtos.EnumDescriptorProto.Builder

- All Implemented Interfaces:
    DescriptorProtos.EnumDescriptorProtoOrBuilder, Message.Builder, MessageLite.Builder, MessageLiteOrBuilder, MessageOrBuilder, java.lang.Cloneable
  Enclosing class:
    DescriptorProtos.EnumDescriptorProto

      public static final class DescriptorProtos.EnumDescriptorProto.Builder
      extends GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>
      implements DescriptorProtos.EnumDescriptorProtoOrBuilder

       Describes an enum type.

  Protobuf type `google.protobuf.EnumDescriptorProto`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.EnumDescriptorProto.Builder` | `addAllValue(java.lang.Iterable<? extends DescriptorProtos.EnumValueDescriptorProto> values)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `addRepeatedField(Descriptors.FieldDescriptor field, java.lang.Object value)` Like `setRepeatedField`, but appends the value as a new element.
    `DescriptorProtos.EnumDescriptorProto.Builder` | `addValue(DescriptorProtos.EnumValueDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `addValue(DescriptorProtos.EnumValueDescriptorProto value)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `addValue(int index, DescriptorProtos.EnumValueDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `addValue(int index, DescriptorProtos.EnumValueDescriptorProto value)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumValueDescriptorProto.Builder` | `addValueBuilder()` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumValueDescriptorProto.Builder` | `addValueBuilder(int index)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumDescriptorProto` | `build()` Constructs the message based on the state of the Builder.
    `DescriptorProtos.EnumDescriptorProto` | `buildPartial()` Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
    `DescriptorProtos.EnumDescriptorProto.Builder` | `clear()` Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
    `DescriptorProtos.EnumDescriptorProto.Builder` | `clearField(Descriptors.FieldDescriptor field)` Clears the field.
    `DescriptorProtos.EnumDescriptorProto.Builder` | `clearName()` `optional string name = 1;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `clearOneof(Descriptors.OneofDescriptor oneof)` TODO(jieluo): Clear it when all subclasses have implemented this method.
    `DescriptorProtos.EnumDescriptorProto.Builder` | `clearOptions()` `optional .google.protobuf.EnumOptions options = 3;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `clearValue()` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `clone()` Clones the Builder.
    `DescriptorProtos.EnumDescriptorProto` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `static Descriptors.Descriptor` | `getDescriptor()`
    `Descriptors.Descriptor` | `getDescriptorForType()` Get the message's type's descriptor.
    `java.lang.String` | `getName()` `optional string name = 1;`
    `ByteString` | `getNameBytes()` `optional string name = 1;`
    `DescriptorProtos.EnumOptions` | `getOptions()` `optional .google.protobuf.EnumOptions options = 3;`
    `DescriptorProtos.EnumOptions.Builder` | `getOptionsBuilder()` `optional .google.protobuf.EnumOptions options = 3;`
    `DescriptorProtos.EnumOptionsOrBuilder` | `getOptionsOrBuilder()` `optional .google.protobuf.EnumOptions options = 3;`
    `DescriptorProtos.EnumValueDescriptorProto` | `getValue(int index)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumValueDescriptorProto.Builder` | `getValueBuilder(int index)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `java.util.List<DescriptorProtos.EnumValueDescriptorProto.Builder>` | `getValueBuilderList()` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `int` | `getValueCount()` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `java.util.List<DescriptorProtos.EnumValueDescriptorProto>` | `getValueList()` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumValueDescriptorProtoOrBuilder` | `getValueOrBuilder(int index)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `java.util.List<? extends DescriptorProtos.EnumValueDescriptorProtoOrBuilder>` | `getValueOrBuilderList()` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `boolean` | `hasName()` `optional string name = 1;`
    `boolean` | `hasOptions()` `optional .google.protobuf.EnumOptions options = 3;`
    `protected GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
    `DescriptorProtos.EnumDescriptorProto.Builder` | `mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)` Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
    `DescriptorProtos.EnumDescriptorProto.Builder` | `mergeFrom(DescriptorProtos.EnumDescriptorProto other)`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `mergeFrom(Message other)` Merge `other` into the message being built.
    `DescriptorProtos.EnumDescriptorProto.Builder` | `mergeOptions(DescriptorProtos.EnumOptions value)` `optional .google.protobuf.EnumOptions options = 3;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `mergeUnknownFields(UnknownFieldSet unknownFields)` Merge some unknown fields into the `UnknownFieldSet` for this message.
    `DescriptorProtos.EnumDescriptorProto.Builder` | `removeValue(int index)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `setField(Descriptors.FieldDescriptor field, java.lang.Object value)` Sets a field to the given value.
    `DescriptorProtos.EnumDescriptorProto.Builder` | `setName(java.lang.String value)` `optional string name = 1;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `setNameBytes(ByteString value)` `optional string name = 1;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `setOptions(DescriptorProtos.EnumOptions.Builder builderForValue)` `optional .google.protobuf.EnumOptions options = 3;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `setOptions(DescriptorProtos.EnumOptions value)` `optional .google.protobuf.EnumOptions options = 3;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `setRepeatedField(Descriptors.FieldDescriptor field, int index, java.lang.Object value)` Sets an element of a repeated field to the given value.
    `DescriptorProtos.EnumDescriptorProto.Builder` | `setUnknownFields(UnknownFieldSet unknownFields)` Set the `UnknownFieldSet` for this message.
    `DescriptorProtos.EnumDescriptorProto.Builder` | `setValue(int index, DescriptorProtos.EnumValueDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `setValue(int index, DescriptorProtos.EnumValueDescriptorProto value)` `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Description copied from class: `GeneratedMessageV3.Builder`
      Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.
      Specified by:
        `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

    - #### clear

          public DescriptorProtos.EnumDescriptorProto.Builder clear()

      Description copied from class: `GeneratedMessageV3.Builder`
      Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
      Specified by:
        `clear` in interface `Message.Builder`
      Specified by:
        `clear` in interface `MessageLite.Builder`
      Overrides:
        `clear` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

    - #### getDescriptorForType

          public Descriptors.Descriptor getDescriptorForType()

      Description copied from interface: `Message.Builder`
      Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.
      Specified by:
        `getDescriptorForType` in interface `Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

    - #### getDefaultInstanceForType

          public DescriptorProtos.EnumDescriptorProto getDefaultInstanceForType()

      Description copied from interface: `MessageLiteOrBuilder`
      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.
      Specified by:
        `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageOrBuilder`

    - #### build

          public DescriptorProtos.EnumDescriptorProto build()

      Description copied from interface: `MessageLite.Builder`
      Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `build` in interface `Message.Builder`
      Specified by:
        `build` in interface `MessageLite.Builder`

    - #### buildPartial

          public DescriptorProtos.EnumDescriptorProto buildPartial()

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `buildPartial` in interface `Message.Builder`
      Specified by:
        `buildPartial` in interface `MessageLite.Builder`

    - #### clone

          public DescriptorProtos.EnumDescriptorProto.Builder clone()

      Description copied from interface: `MessageLite.Builder`
      Clones the Builder.
      Specified by:
        `clone` in interface `Message.Builder`
      Specified by:
        `clone` in interface `MessageLite.Builder`
      Overrides:
        `clone` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`
      See Also:
        `Object.clone()`

    - #### setField

          public DescriptorProtos.EnumDescriptorProto.Builder setField(Descriptors.FieldDescriptor field,
                                                              java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets a field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getField(Descriptors.FieldDescriptor)` would return.
      Specified by:
        `setField` in interface `Message.Builder`
      Overrides:
        `setField` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

    - #### clearField

          public DescriptorProtos.EnumDescriptorProto.Builder clearField(Descriptors.FieldDescriptor field)

      Description copied from interface: `Message.Builder`
      Clears the field. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the field.
      Specified by:
        `clearField` in interface `Message.Builder`
      Overrides:
        `clearField` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

    - #### clearOneof

          public DescriptorProtos.EnumDescriptorProto.Builder clearOneof(Descriptors.OneofDescriptor oneof)

      Description copied from class: `AbstractMessage.Builder`
      TODO(jieluo): Clear it when all subclasses have implemented this method.
      Specified by:
        `clearOneof` in interface `Message.Builder`
      Overrides:
        `clearOneof` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

    - #### setRepeatedField

          public DescriptorProtos.EnumDescriptorProto.Builder setRepeatedField(Descriptors.FieldDescriptor field,
                                                                      int index,
                                                                      java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets an element of a repeated field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getRepeatedField(Descriptors.FieldDescriptor,int)` would return.
      Specified by:
        `setRepeatedField` in interface `Message.Builder`
      Overrides:
        `setRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

    - #### addRepeatedField

          public DescriptorProtos.EnumDescriptorProto.Builder addRepeatedField(Descriptors.FieldDescriptor field,
                                                                      java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Like `setRepeatedField`, but appends the value as a new element.
      Specified by:
        `addRepeatedField` in interface `Message.Builder`
      Overrides:
        `addRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.EnumDescriptorProto.Builder mergeFrom(Message other)

      Description copied from interface: `Message.Builder`
      Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`). Merging occurs as follows. For each field:
      * For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
      * For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
      * For repeated fields, the elements in `other` are concatenated with the elements in this message. * For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved. This is equivalent to the `Message::MergeFrom` method in C++.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.EnumDescriptorProto.Builder mergeFrom(DescriptorProtos.EnumDescriptorProto other)

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `MessageLiteOrBuilder`
      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`

      Specified by:
        `isInitialized` in interface `MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.EnumDescriptorProto.Builder mergeFrom(CodedInputStream input,
                                                               ExtensionRegistryLite extensionRegistry)
                                                                 throws java.io.IOException

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Specified by:
        `mergeFrom` in interface `MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasName

          public boolean hasName()

      `optional string name = 1;`
      Specified by:
        `hasName` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

    - #### getName

          public java.lang.String getName()

      `optional string name = 1;`
      Specified by:
        `getName` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

    - #### getNameBytes

          public ByteString getNameBytes()

      `optional string name = 1;`
      Specified by:
        `getNameBytes` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

    - #### setName

          public DescriptorProtos.EnumDescriptorProto.Builder setName(java.lang.String value)

      `optional string name = 1;`

    - #### clearName

          public DescriptorProtos.EnumDescriptorProto.Builder clearName()

      `optional string name = 1;`

    - #### setNameBytes

          public DescriptorProtos.EnumDescriptorProto.Builder setNameBytes(ByteString value)

      `optional string name = 1;`

    - #### getValueList

          public java.util.List<DescriptorProtos.EnumValueDescriptorProto> getValueList()

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
      Specified by:
        `getValueList` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

    - #### getValueCount

          public int getValueCount()

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
      Specified by:
        `getValueCount` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

    - #### getValue

          public DescriptorProtos.EnumValueDescriptorProto getValue(int index)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
      Specified by:
        `getValue` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

    - #### setValue

          public DescriptorProtos.EnumDescriptorProto.Builder setValue(int index,
                                                              DescriptorProtos.EnumValueDescriptorProto value)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### setValue

          public DescriptorProtos.EnumDescriptorProto.Builder setValue(int index,
                                                              DescriptorProtos.EnumValueDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### addValue

          public DescriptorProtos.EnumDescriptorProto.Builder addValue(DescriptorProtos.EnumValueDescriptorProto value)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### addValue

          public DescriptorProtos.EnumDescriptorProto.Builder addValue(int index,
                                                              DescriptorProtos.EnumValueDescriptorProto value)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### addValue

          public DescriptorProtos.EnumDescriptorProto.Builder addValue(DescriptorProtos.EnumValueDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### addValue

          public DescriptorProtos.EnumDescriptorProto.Builder addValue(int index,
                                                              DescriptorProtos.EnumValueDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### addAllValue

          public DescriptorProtos.EnumDescriptorProto.Builder addAllValue(java.lang.Iterable<? extends DescriptorProtos.EnumValueDescriptorProto> values)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### clearValue

          public DescriptorProtos.EnumDescriptorProto.Builder clearValue()

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### removeValue

          public DescriptorProtos.EnumDescriptorProto.Builder removeValue(int index)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### getValueBuilder

          public DescriptorProtos.EnumValueDescriptorProto.Builder getValueBuilder(int index)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### getValueOrBuilder

          public DescriptorProtos.EnumValueDescriptorProtoOrBuilder getValueOrBuilder(int index)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
      Specified by:
        `getValueOrBuilder` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

    - #### getValueOrBuilderList

          public java.util.List<? extends DescriptorProtos.EnumValueDescriptorProtoOrBuilder> getValueOrBuilderList()

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`
      Specified by:
        `getValueOrBuilderList` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

    - #### addValueBuilder

          public DescriptorProtos.EnumValueDescriptorProto.Builder addValueBuilder()

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### addValueBuilder

          public DescriptorProtos.EnumValueDescriptorProto.Builder addValueBuilder(int index)

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### getValueBuilderList

          public java.util.List<DescriptorProtos.EnumValueDescriptorProto.Builder> getValueBuilderList()

      `repeated .google.protobuf.EnumValueDescriptorProto value = 2;`

    - #### hasOptions

          public boolean hasOptions()

      `optional .google.protobuf.EnumOptions options = 3;`
      Specified by:
        `hasOptions` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

    - #### getOptions

          public DescriptorProtos.EnumOptions getOptions()

      `optional .google.protobuf.EnumOptions options = 3;`
      Specified by:
        `getOptions` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

    - #### setOptions

          public DescriptorProtos.EnumDescriptorProto.Builder setOptions(DescriptorProtos.EnumOptions value)

      `optional .google.protobuf.EnumOptions options = 3;`

    - #### setOptions

          public DescriptorProtos.EnumDescriptorProto.Builder setOptions(DescriptorProtos.EnumOptions.Builder builderForValue)

      `optional .google.protobuf.EnumOptions options = 3;`

    - #### mergeOptions

          public DescriptorProtos.EnumDescriptorProto.Builder mergeOptions(DescriptorProtos.EnumOptions value)

      `optional .google.protobuf.EnumOptions options = 3;`

    - #### clearOptions

          public DescriptorProtos.EnumDescriptorProto.Builder clearOptions()

      `optional .google.protobuf.EnumOptions options = 3;`

    - #### getOptionsBuilder

          public DescriptorProtos.EnumOptions.Builder getOptionsBuilder()

      `optional .google.protobuf.EnumOptions options = 3;`

    - #### getOptionsOrBuilder

          public DescriptorProtos.EnumOptionsOrBuilder getOptionsOrBuilder()

      `optional .google.protobuf.EnumOptions options = 3;`
      Specified by:
        `getOptionsOrBuilder` in interface `DescriptorProtos.EnumDescriptorProtoOrBuilder`

    - #### setUnknownFields

          public final DescriptorProtos.EnumDescriptorProto.Builder setUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Set the `UnknownFieldSet` for this message.
      Specified by:
        `setUnknownFields` in interface `Message.Builder`
      Overrides:
        `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`

    - #### mergeUnknownFields

          public final DescriptorProtos.EnumDescriptorProto.Builder mergeUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Merge some unknown fields into the `UnknownFieldSet` for this message.
      Specified by:
        `mergeUnknownFields` in interface `Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumDescriptorProto.Builder>`